## llvm-defaults 0.43ubuntu1

=== debian/changelog ===
llvm-defaults (0.43ubuntu1) cosmic; urgency=medium

  * Bump defaults to LLVM 7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Sep 2018 08:34:14 +0200
