=== debian/rules ===
--- 
+++ 
@@ -58,17 +58,20 @@
 # llvm-defaults 0.41 is the first version for 6.0.
 REL_NO_60       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.43 is the first version for 7.0.
+REL_NO_70       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 6.0~)
-
-CURRENT_VERSION := 6.0
+REQV            := (>= 7~)
+
+CURRENT_VERSION := 7.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_60)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_70)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang # libllvm-ocaml-dev
@@ -87,7 +90,7 @@
 V_LLVM  := $(shell echo $(CV_LLVM) | sed 's/^[0-9]*://' | sed 's/-[^-]*$$//')
 
 # number for the package name
-PV_LLVM := $(shell echo $(V_LLVM) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_LLVM := $(shell echo $(V_LLVM) | awk -F. '{printf "%d", $$1}')
 
 OS_NAME := Linux
 
@@ -103,7 +106,7 @@
 	m4 -DPACKAGES="$(packages)" \
 	   -DOS_NAME=$(OS_NAME) \
 	   -DDEB_ARCH=$(DEB_HOST_ARCH) \
-	   -DPV_LLVM=$(CURRENT_VERSION) \
+	   -DPV_LLVM=$(PV_LLVM) \
 	   debian/README.Debian.m4 > debian/README.Debian.tmp2
 	uniq debian/README.Debian.tmp2 > debian/README.Debian.tmp
 	rm -f debian/README.Debian.tmp2
@@ -116,7 +119,7 @@
 substvars:
 	( \
 	  echo 'version:llvm=$(CV_LLVM)'; \
-	  echo 'pv:llvm=$(CURRENT_VERSION)'; \
+	  echo 'pv:llvm=$(PV_LLVM)'; \
 	  echo 'reqv:llvm=$(REQV)'; \
 	) > debian/substvars.local
 .PHONY: substvars
@@ -231,16 +234,16 @@
 		/usr/share/vim/addons/syntax/ \
 		/usr/lib
 	dh_link -pllvm-dev \
-		/usr/lib/llvm-$(CURRENT_VERSION)/include/llvm /usr/include/llvm \
-		/usr/lib/llvm-$(CURRENT_VERSION)/include/llvm-c /usr/include/llvm-c \
-		/usr/share/vim/addons/syntax/llvm-$(CURRENT_VERSION).vim /usr/share/vim/addons/syntax/llvm.vim \
-		/usr/share/vim/addons/syntax/tablegen-$(CURRENT_VERSION).vim /usr/share/vim/addons/syntax/tablegen.vim \
-		/usr/share/emacs/site-lisp/llvm-$(CURRENT_VERSION) /usr/share/emacs/site-lisp/llvm
+		/usr/lib/llvm-$(PV_LLVM)/include/llvm /usr/include/llvm \
+		/usr/lib/llvm-$(PV_LLVM)/include/llvm-c /usr/include/llvm-c \
+		/usr/share/vim/addons/syntax/llvm-$(PV_LLVM).vim /usr/share/vim/addons/syntax/llvm.vim \
+		/usr/share/vim/addons/syntax/tablegen-$(PV_LLVM).vim /usr/share/vim/addons/syntax/tablegen.vim \
+		/usr/share/emacs/site-lisp/llvm-$(PV_LLVM) /usr/share/emacs/site-lisp/llvm
 
 	for lib in \
 		libLTO.so LLVMgold.so; do \
 		dh_link -pllvm-dev \
-		/usr/lib/llvm-$(CURRENT_VERSION)/lib/$$lib /usr/lib/$$lib; \
+		/usr/lib/llvm-$(PV_LLVM)/lib/$$lib /usr/lib/$$lib; \
 	done
 
 	: # liblldb-dev
@@ -248,12 +251,12 @@
 		/usr/include \
 		/usr/lib
 	dh_link -pliblldb-dev \
-		/usr/lib/llvm-$(CURRENT_VERSION)/include/lldb /usr/include/lldb \
+		/usr/lib/llvm-$(PV_LLVM)/include/lldb /usr/include/lldb \
 
 	for lib in \
 		liblldb.so; do \
 		dh_link -pliblldb-dev \
-		/usr/lib/llvm-$(CURRENT_VERSION)/lib/$$lib /usr/lib/$$lib; \
+		/usr/lib/llvm-$(PV_LLVM)/lib/$$lib /usr/lib/$$lib; \
 	done
 
 
@@ -261,7 +264,7 @@
 	# dh_installdirs -plibllvm-ocaml-dev \
 	# 	/usr/lib/ocaml/METAS
 	# dh_link -plibllvm-ocaml-dev \
-	# 	/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm
+	# 	/usr/lib/ocaml/llvm-$(PV_LLVM)/META.llvm /usr/lib/ocaml/METAS/META.llvm
 
 #  clang
