## llvm-defaults 0.44

=== debian/changelog ===
llvm-defaults (0.44) unstable; urgency=medium

  * upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 31 Oct 2018 13:12:35 +0100

llvm-defaults (0.44~exp3) experimental; urgency=medium

  * Also ship git-clang-format as part of clang-format (Closes: #909338)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Oct 2018 21:29:23 +0200

llvm-defaults (0.44~exp2) experimental; urgency=medium

  * Also ship clangd as part of clang-tools
    http://lists.llvm.org/pipermail/clangd-dev/2018-September/000136.html

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Sep 2018 16:21:59 +0200

llvm-defaults (0.44~exp1) experimental; urgency=medium

  * Standards-Version: 4.2.1

  [ Matthias Klose ]
  * Bump defaults to LLVM 7.

  [ Reshabh Sharma ]
  * Add OpenMP and libc++ packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Sep 2018 20:46:03 +0200
