=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
  m4
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git
@@ -207,3 +207,94 @@
  Project, such as the Clang expression parser and LLVM disassembler.
  .
  This binding package provides access to lldb.
+
+Package: libomp-dev
+Section: libdevel
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
+ libomp-${pv:llvm}-dev ${reqv:llvm}
+Description: LLVM OpenMP runtime - dev package
+ The runtime is the part of the OpenMP implementation that your code is
+ linked against, and that manages the multiple threads in an OpenMP program
+ while it is executing.
+ This is a dependency package providing the default LLVM OpenMP dev
+ package.
+
+Package: libomp5
+Multi-Arch: same
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
+Depends: libomp5-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
+Description: LLVM OpenMP runtime
+ The runtime is the part of the OpenMP implementation that your code is
+ linked against, and that manages the multiple threads in an OpenMP program
+ while it is executing.
+ This is a dependency package providing the default LLVM OpenMP runtime.
+
+Package: libc++1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libc++1-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
+Description: LLVM C++ Standard library
+ libc++ is another implementation of the C++ standard library.
+ .
+ Features and Goals
+ .
+   * Correctness as defined by the C++ standards.
+   * Fast execution.
+   * Minimal memory use.
+   * Fast compile times.
+   * ABI compatibility with gcc's libstdc++ for some low-level features such
+     as exception objects, rtti and memory allocation.
+   * Extensive unit tests.
+ This is a dependency package providing the default LLVM C++ Standard library.
+
+Package: libc++-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libc++-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
+Description: LLVM C++ Standard library (development files)
+ libc++ is another implementation of the C++ standard library
+ .
+ Features and Goals
+ .
+   * Correctness as defined by the C++ standards.
+   * Fast execution.
+   * Minimal memory use.
+   * Fast compile times.
+   * ABI compatibility with gcc's libstdc++ for some low-level features such
+     as exception objects, rtti and memory allocation.
+   * Extensive unit tests.
+ This is a dependency package providing the default LLVM C++ Standard library
+ development files.
+
+Package: libc++abi1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libc++abi1-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
+Description: LLVM low level support for a standard C++ library
+ libc++abi is another implementation of low level support for a standard C++
+ library.
+ .
+ Features and Goals
+ .
+   * Correctness as defined by the C++ standards.
+   * Provide a portable sublayer to ease the porting of libc++
+ This is a dependency package providing low level support to
+ LLVM C++ Standard library.
+
+Package: libc++abi-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libc++abi-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
+Description: LLVM low level support for a standard C++ library (development files)
+ libc++abi is another implementation of low level support for a standard C++
+ library.
+ .
+ Features and Goals
+ .
