=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # llvm-defaults 0.41 is the first version for 6.0.
 REL_NO_60       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.43 is the first version for 7.0.
+# llvm-defaults 0.44 is the first version for 7.0.
 REL_NO_70       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
@@ -74,7 +74,7 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_70)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang # libllvm-ocaml-dev
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev # libllvm-ocaml-dev
 no_packages    := # llvm-gcc # must be built?
 
 EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
@@ -269,7 +269,3 @@
 #  clang
 
 	dh_installdirs -pclang \
-		usr/bin usr/share/man/man1
-	for bin in \
-		clang clang++ \
-		; do \
