=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_70)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev # libllvm-ocaml-dev
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
 no_packages    := # llvm-gcc # must be built?
 
 EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
@@ -260,11 +260,11 @@
 	done
 
 
-	: # libllvm-ocaml-dev
-	# dh_installdirs -plibllvm-ocaml-dev \
-	# 	/usr/lib/ocaml/METAS
-	# dh_link -plibllvm-ocaml-dev \
-	# 	/usr/lib/ocaml/llvm-$(PV_LLVM)/META.llvm /usr/lib/ocaml/METAS/META.llvm
+	: libllvm-ocaml-dev
+	dh_installdirs -plibllvm-ocaml-dev \
+	 	/usr/lib/ocaml/METAS
+	dh_link -plibllvm-ocaml-dev \
+	 	/usr/lib/ocaml/llvm-$(PV_LLVM)/META.llvm /usr/lib/ocaml/METAS/META.llvm
 
 #  clang
