## llvm-defaults 0.46

=== debian/changelog ===
llvm-defaults (0.46) unstable; urgency=medium

  * Remove armel support in libllvm-ocaml-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Nov 2018 09:49:30 +0100
