=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
-no_packages    := # llvm-gcc # must be built?
+no_packages    :=
 
 EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
@@ -269,3 +269,5 @@
 #  clang
 
 	dh_installdirs -pclang \
+		usr/bin usr/share/man/man1
+	for bin in \
