=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  This is a dependency package providing the default libraries and headers.
 
 Package: libllvm-ocaml-dev
-Architecture: amd64 arm64 armel armhf i386
+Architecture: amd64 arm64 armhf i386
 Section: ocaml
 Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
 Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
