=== debian/rules ===
--- 
+++ 
@@ -154,8 +154,13 @@
 		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
 		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
-		llvm-symbolizer \
-		opt; do \
+		llvm-symbolizer dsymutil llvm-PerfectShuffle llvm-c-test llvm-cat \
+		llvm-cfi-verify llvm-cvtres llvm-cxxdump llvm-cxxfilt llvm-dlltool \
+		llvm-dwp llvm-exegesis llvm-lib llvm-lto llvm-lto2 llvm-mca llvm-modextract \
+		llvm-mt llvm-objcopy llvm-opt-report llvm-pdbutil llvm-rc llvm-readelf \
+		llvm-readobj llvm-split llvm-stress llvm-strings llvm-strip llvm-undname \
+		llvm-xray sanstats opt \
+		; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
@@ -167,11 +172,14 @@
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
 	done
+# To know if there is a manpage or not
+# for f in $L; do if test -f /usr/share/man/man1/$f-7.1.gz; then echo $f; fi; done|tr "\n" " "
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm llvm-profdata \
 		llvm-ranlib opt tblgen llvm-symbolizer llvm-cov llvm-dwarfdump \
-		llvm-objdump llvm-rtdyld llvm-size llvm-mc; do \
+		llvm-objdump llvm-rtdyld llvm-size llvm-mc dsymutil llvm-exegesis \
+		llvm-lib llvm-mca llvm-pdbutil llvm-readobj llvm-stress; do \
 		dh_link -pllvm \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
@@ -243,31 +251,3 @@
 	for lib in \
 		libLTO.so LLVMgold.so; do \
 		dh_link -pllvm-dev \
-		/usr/lib/llvm-$(PV_LLVM)/lib/$$lib /usr/lib/$$lib; \
-	done
-
-	: # liblldb-dev
-	dh_installdirs -pliblldb-dev \
-		/usr/include \
-		/usr/lib
-	dh_link -pliblldb-dev \
-		/usr/lib/llvm-$(PV_LLVM)/include/lldb /usr/include/lldb \
-
-	for lib in \
-		liblldb.so; do \
-		dh_link -pliblldb-dev \
-		/usr/lib/llvm-$(PV_LLVM)/lib/$$lib /usr/lib/$$lib; \
-	done
-
-
-	: libllvm-ocaml-dev
-	dh_installdirs -plibllvm-ocaml-dev \
-	 	/usr/lib/ocaml/METAS
-	dh_link -plibllvm-ocaml-dev \
-	 	/usr/lib/ocaml/llvm-$(PV_LLVM)/META.llvm /usr/lib/ocaml/METAS/META.llvm
-
-#  clang
-
-	dh_installdirs -pclang \
-		usr/bin usr/share/man/man1
-	for bin in \
