## llvm-defaults 0.47ubuntu1

=== debian/changelog ===
llvm-defaults (0.47ubuntu1) disco; urgency=medium

  * Default to LLVM 8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2019 12:47:50 +0100
