=== debian/rules ===
--- 
+++ 
@@ -61,17 +61,20 @@
 # llvm-defaults 0.44 is the first version for 7.0.
 REL_NO_70       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.47 is the first version for 8.0.
+REL_NO_80       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 7~)
-
-CURRENT_VERSION := 7.0
+REQV            := (>= 8~)
+
+CURRENT_VERSION := 8.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_70)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_80)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
@@ -246,8 +249,3 @@
 		/usr/lib/llvm-$(PV_LLVM)/include/llvm-c /usr/include/llvm-c \
 		/usr/share/vim/addons/syntax/llvm-$(PV_LLVM).vim /usr/share/vim/addons/syntax/llvm.vim \
 		/usr/share/vim/addons/syntax/tablegen-$(PV_LLVM).vim /usr/share/vim/addons/syntax/tablegen.vim \
-		/usr/share/emacs/site-lisp/llvm-$(PV_LLVM) /usr/share/emacs/site-lisp/llvm
-
-	for lib in \
-		libLTO.so LLVMgold.so; do \
-		dh_link -pllvm-dev \
