## llvm-defaults 0.48~exp1ubuntu1

=== debian/changelog ===
llvm-defaults (0.48~exp1ubuntu1) disco; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload experimental git branch to Ubuntu

  [ Andreas Beckmann ]
  * Fix the lld.1.gz symlink.  (Closes: #891591)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Mar 2019 10:35:38 +0100

llvm-defaults (0.48~exp1) experimental; urgency=medium

  * Default to 8 for early tester

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2019 11:51:24 +0100

llvm-defaults (0.47.1) unstable; urgency=medium

  * Team upload
  * Fix the lld.1.gz symlink.  (Closes: #891591)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2019 00:20:21 +0100
