=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
  m4
-Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git
+Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
 
 Package: llvm
