=== debian/rules ===
--- 
+++ 
@@ -56,18 +56,23 @@
 REL_NO_50	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # llvm-defaults 0.41 is the first version for 6.0.
-REL_NO_60       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+REL_NO_60	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # llvm-defaults 0.44 is the first version for 7.0.
-REL_NO_70       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
-# llvm-defaults 0.47 is the first version for 8.0.
-REL_NO_80       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+REL_NO_70	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.48 is the first version for 8.0.
+REL_NO_80	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.49 is the first version for 9.0.
+REL_NO_90   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
+
 REQV            := (>= 8~)
 
 CURRENT_VERSION := 8.0
+
 
 # architecture dependent variables
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -227,7 +232,7 @@
 	for man in \
 		ld.lld lld; do \
 		dh_link -plld \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/ld.lld-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
 	done
 
@@ -248,4 +253,3 @@
 		/usr/lib/llvm-$(PV_LLVM)/include/llvm /usr/include/llvm \
 		/usr/lib/llvm-$(PV_LLVM)/include/llvm-c /usr/include/llvm-c \
 		/usr/share/vim/addons/syntax/llvm-$(PV_LLVM).vim /usr/share/vim/addons/syntax/llvm.vim \
-		/usr/share/vim/addons/syntax/tablegen-$(PV_LLVM).vim /usr/share/vim/addons/syntax/tablegen.vim \
