## llvm-defaults 0.48~exp1ubuntu2

=== debian/changelog ===
llvm-defaults (0.48~exp1ubuntu2) eoan; urgency=medium

  * Default to 9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 09:38:24 +0200
