=== debian/rules ===
--- 
+++ 
@@ -69,9 +69,9 @@
 
 # minimum required version
 
-REQV            := (>= 8~)
-
-CURRENT_VERSION := 8.0
+REQV            := (>= 9~)
+
+CURRENT_VERSION := 9.0
 
 
 # architecture dependent variables
@@ -79,7 +79,7 @@
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_80)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_90)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
