## llvm-defaults 0.48.2ubuntu1

=== debian/changelog ===
llvm-defaults (0.48.2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - break clangd-9
    - Default to 9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 18:36:47 +0200

llvm-defaults (0.48.2) unstable; urgency=medium

  * Fix breaks/replaces for clangd (Closes: #939267)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 21:25:12 +0200

llvm-defaults (0.48.1) unstable; urgency=medium

  * Source upload (oh, this is a waste of time)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 09:49:44 +0200

llvm-defaults (0.48) unstable; urgency=medium

  * Upload to unstable
  * Ship clangd as a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2019 16:00:11 +0200
