=== debian/control ===
--- 
+++ 
@@ -95,6 +95,23 @@
  clang-tidy replaces clang-modernize
  .
  This is a dependency package providing the clang tidy tool.
+
+Package: clangd
+Architecture: any
+Depends: clangd-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Breaks: clang-tools (<< 1:9.0-48), clang-tools (<< 1:8.0-48)
+Replaces: clang-tools (<< 1:9.0-48), clang-tools (<< 1:8.0-48)
+Description: Language server that provides IDE-like features to editors
+ clangd understands your C++ code and adds smart features to your editor:
+  - code completion
+  - compile errors
+  - go-to-definition
+  - and more.
+ .
+ clangd is a language server that implements the Language Server Protocol;
+ it can work with many editors through a plugin.
+ .
+ This is a dependency package providing clangd.
 
 Package: clang-format
 Architecture: any
@@ -279,24 +296,3 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libc++abi1-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
 Description: LLVM low level support for a standard C++ library
- libc++abi is another implementation of low level support for a standard C++
- library.
- .
- Features and Goals
- .
-   * Correctness as defined by the C++ standards.
-   * Provide a portable sublayer to ease the porting of libc++
- This is a dependency package providing low level support to
- LLVM C++ Standard library.
-
-Package: libc++abi-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libc++abi-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
-Description: LLVM low level support for a standard C++ library (development files)
- libc++abi is another implementation of low level support for a standard C++
- library.
- .
- Features and Goals
- .
